sailpoint.rule

## Interface Identity

    public interface Identity

Definition of a User interface available to Rule implementors.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.Object` `getAttribute(java.lang.String attributeName)` Get the user's specified attribute as an object
`java.util.Map<java.lang.String,java.lang.Object>` `getAttributes()` Get the raw attributes of the User.
`java.lang.String` `getCountry()` Get the country of the user
`java.lang.String` `getDisplayName()` Get the display name of the identity
`java.lang.String` `getEmail()` Get the work email of the User.
`java.lang.String` `getEmployeeNumber()` Get the user's employee number;
`java.lang.String` `getFirstName()` Get the first name of the User.
`java.lang.String` `getId()` Get the internal unique identifier.
`java.lang.String` `getLastName()` Get the last name of the User.
`java.lang.String` `getLifecycleState()` Get the current lifecycle state of the User.
`java.lang.String` `getManagerId()` The internal ID of the manager for this User.
`java.lang.String` `getManagerName()` Gets the name of the user's manager.
`java.lang.String` `getName()` Get the internal name of the User.
`java.lang.String` `getPersonalEmail()` Get the personal email of the User.
`java.lang.String` `getPhone()` Get the phone of the User.
`java.lang.String` `getStringAttribute(java.lang.String attributeName)` Get the user's specified attribute as a string
`java.lang.String` `getUid()` Get the uid of the USer;
`java.lang.String` `getWorkPhone()` Get the work phone of the User.
`boolean` `isManager()` Check to see if the current user has reports and is a manager.

### Method Detail

#### getName

    java.lang.String getName()

Get the internal name of the User.

Returns:
  the internal name

#### getDisplayName

    java.lang.String getDisplayName()

Get the display name of the identity

Returns:
  The displayName

#### getId

    java.lang.String getId()

Get the internal unique identifier.

Returns:
  The id

#### getFirstName

    java.lang.String getFirstName()

Get the first name of the User.

Returns:
  The FirstName

#### getLastName

    java.lang.String getLastName()

Get the last name of the User.

Returns:
  The LastName

#### getPhone

    java.lang.String getPhone()

Get the phone of the User.

Returns:
  The phone

#### getWorkPhone

    java.lang.String getWorkPhone()

Get the work phone of the User.

Returns:
  The work phone

#### getPersonalEmail

    java.lang.String getPersonalEmail()

Get the personal email of the User.

Returns:
  The personal email address

#### getEmail

    java.lang.String getEmail()

Get the work email of the User.

Returns:
  The work email

#### getLifecycleState

    java.lang.String getLifecycleState()

Get the current lifecycle state of the User.

Returns:
  The lifecycle state

#### getAttributes

    java.util.Map<java.lang.String,java.lang.Object> getAttributes()

Get the raw attributes of the User.

Returns:
  The map attributes derived from attribute promotion.

#### getUid

    java.lang.String getUid()

Get the uid of the USer;

Returns:
  The Uid

#### isManager

    boolean isManager()

Check to see if the current user has reports and is a manager.

Returns:
  true if the User is a manager, false otherwise

#### getManagerId

    java.lang.String getManagerId()

The internal ID of the manager for this User.

Returns:
  The internal ID of the manager

#### getManagerName

    java.lang.String getManagerName()

Gets the name of the user's manager.

Returns:
  The name of the manager

#### getCountry

    java.lang.String getCountry()

Get the country of the user

Returns:
  The country

#### getEmployeeNumber

    java.lang.String getEmployeeNumber()

Get the user's employee number;

Returns:
  The employee number

#### getStringAttribute

    java.lang.String getStringAttribute(java.lang.String attributeName)

Get the user's specified attribute as a string

Returns:
  The attribute string

#### getAttribute

    java.lang.Object getAttribute(java.lang.String attributeName)

Get the user's specified attribute as an object

Returns:
  The attribute object